import request from '@/utils/request'

// 查询工资人员信息列表
export function listSalaryDetailEmployee(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetailEmployee/list',
    method: 'get',
    params: query
  })
}

// 查询工资人员信息详细
export function getSalaryDetailEmployee(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetailEmployee/' + id,
    method: 'get'
  })
}

// 新增工资人员信息
export function addSalaryDetailEmployee(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetailEmployee',
    method: 'post',
    data: data
  })
}

// 修改工资人员信息
export function updateSalaryDetailEmployee(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetailEmployee',
    method: 'put',
    data: data
  })
}

// 删除工资人员信息
export function delSalaryDetailEmployee(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-production'
  return request({
    url: '/business/salaryDetailEmployee/' + id,
    method: 'delete'
  })
}
